libepoxy 1.5.4

Functions
glx.h File Reference
`#include <epoxy/gl.h>`
`#include <X11/Xlib.h>`
`#include <X11/Xutil.h>`
`#include "epoxy/glx_generated.h"`

## Functions
bool | epoxy_has_glx_extension (Display *dpy, int screen, const char *extension)
| Returns true if the given GLX extension is supported in the current context. More...
int | epoxy_glx_version (Display *dpy, int screen)
| Returns the version of GLX we are using. More...
bool | epoxy_has_glx (Display *dpy)
| Checks whether GLX is available. More...

## Detailed Description

Provides an implementation of a GLX dispatch layer using global function pointers.

You should include `<epoxy/glx.h>` instead of `<GL/glx.h>`.

## Function Documentation

## ◆ epoxy_glx_version()

int epoxy_glx_version | ( | Display * | dpy,
|  | int | screen
| ) |  |

Returns the version of GLX we are using.

The version is encoded as:

version = major * 10 + minor

So it can be easily used for version comparisons.

Parameters

  dpy | The X11 display
  screen | The X11 screen

Returns
  The encoded version of GLX we are using

See also
  epoxy_gl_version()

## ◆ epoxy_has_glx()

bool epoxy_has_glx | ( | Display * | dpy | ) |

Checks whether GLX is available.

Parameters

  dpy | The X11 display

Returns
  `true` if GLX is available

Since libepoxy 1.4:

## ◆ epoxy_has_glx_extension()

bool epoxy_has_glx_extension | ( | Display * | dpy,
|  | int | screen,
|  | const char * | ext
| ) |  |

Returns true if the given GLX extension is supported in the current context.

Parameters

  dpy | The X11 display
  screen | The X11 screen
  extension | The name of the GLX extension

Returns
  `true` if the extension is available

See also
  epoxy_has_gl_extension()
  epoxy_has_egl_extension()